Bug 1642168 - changes to cloudsync xlator [NEEDINFO]
Summary: changes to cloudsync xlator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: Cloudsync
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anuradha.stalur
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-23 20:29 UTC by anuradha.stalur
Modified: 2020-02-13 09:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 09:17:59 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
ykaul: needinfo? (anuradha.stalur)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 21585 0 None Merged libglusterfs: define macros needed for cloudsync 2019-04-04 19:44:22 UTC
Gluster.org Gerrit 21681 0 None Merged mgmt/glusterd: Make changes related to cloudsync xlator 2019-04-10 08:12:45 UTC
Gluster.org Gerrit 21694 0 None Merged storage/posix: changes with respect to cloudsync 2019-04-10 09:11:56 UTC
Gluster.org Gerrit 21756 0 None Abandoned shard: Make changes for shard to work with cloudsync 2019-06-04 22:50:52 UTC
Gluster.org Gerrit 21757 0 None Merged features/cloudsync : Added some new functions 2019-04-11 03:41:50 UTC
Gluster.org Gerrit 21771 0 None Open cloudsync/cvlt: Cloudsync plugin for commvault store 2019-04-26 15:11:33 UTC
Gluster.org Gerrit 22616 0 None Open cloudsync: Make readdirp return stat info of all the dirents 2019-04-26 03:38:42 UTC
Gluster.org Gerrit 22617 0 None Open cloudsync: Fix bug in cloudsync-fops-c.py 2019-04-26 18:09:16 UTC

Description anuradha.stalur 2018-10-23 20:29:42 UTC
Description of problem:
Purpose for this bug:
1) During our in house testing, we found that some changes were needed for cloudsync xlator. This bug will be used to send them.
2) This bug will also be used to add commvault plugin for cloudsync

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2018-11-07 22:44:50 UTC
REVIEW: https://review.gluster.org/21585 (libglusterfs: define macros needed for cloudsync) posted (#1) for review on master by Anuradha Talur

Comment 2 Worker Ant 2018-11-20 02:06:36 UTC
REVIEW: https://review.gluster.org/21681 (mgmt/glusterd: Make changes related to cloudsync xlator) posted (#1) for review on master by Anuradha Talur

Comment 3 Worker Ant 2018-11-21 00:11:19 UTC
REVIEW: https://review.gluster.org/21694 (storage/posix: changes with respect to cloudsync) posted (#2) for review on master by Anuradha Talur

Comment 4 Worker Ant 2018-11-29 20:53:10 UTC
REVIEW: https://review.gluster.org/21756 (shard: Make changes for shard to work with cloudsync) posted (#1) for review on master by Anuradha Talur

Comment 5 Worker Ant 2018-11-29 21:54:39 UTC
REVIEW: https://review.gluster.org/21757 (features/cloudsync : Added some new functions) posted (#1) for review on master by Anuradha Talur

Comment 6 Worker Ant 2018-11-30 20:17:13 UTC
REVIEW: https://review.gluster.org/21771 (cloudsync/cvlt: Cloudsync plugin for commvault store) posted (#1) for review on master by Anuradha Talur

Comment 7 Worker Ant 2019-04-04 19:44:23 UTC
REVIEW: https://review.gluster.org/21585 (libglusterfs: define macros needed for cloudsync) merged (#9) on master by Vijay Bellur

Comment 8 Worker Ant 2019-04-10 08:12:46 UTC
REVIEW: https://review.gluster.org/21681 (mgmt/glusterd: Make changes related to cloudsync xlator) merged (#13) on master by Atin Mukherjee

Comment 9 Worker Ant 2019-04-10 09:11:57 UTC
REVIEW: https://review.gluster.org/21694 (storage/posix: changes with respect to cloudsync) merged (#13) on master by Susant Palai

Comment 10 Worker Ant 2019-04-11 03:41:52 UTC
REVIEW: https://review.gluster.org/21757 (features/cloudsync : Added some new functions) merged (#13) on master by Anuradha Talur

Comment 11 Worker Ant 2019-04-24 19:45:10 UTC
REVIEW: https://review.gluster.org/22617 (cloudsync: Fix bug in cloudsync-fops-c.py) posted (#1) for review on master by Anuradha Talur

Comment 12 Worker Ant 2019-04-26 03:38:43 UTC
REVIEW: https://review.gluster.org/22616 (cloudsync: Make readdirp return stat info of all the dirents) merged (#4) on master by Anuradha Talur

Comment 13 Worker Ant 2019-04-26 15:11:35 UTC
REVIEW: https://review.gluster.org/21771 (cloudsync/cvlt: Cloudsync plugin for commvault store) merged (#21) on master by Susant Palai

Comment 14 Worker Ant 2019-04-26 18:09:18 UTC
REVIEW: https://review.gluster.org/22617 (cloudsync: Fix bug in cloudsync-fops-c.py) merged (#2) on master by Susant Palai

Comment 15 Yaniv Kaul 2019-07-16 09:27:58 UTC
All patches were merged, what's the next step?

Comment 16 Susant Kumar Palai 2020-02-13 09:17:59 UTC
I see that all patches are merged for this bug and the one for shard is abandoned. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.